| Home | Libraries | People | FAQ | More

## Function template trim_all

boost::algorithm::trim_all — Trim All.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT>
      void trim_all(SequenceT & Input, const std::locale & Loc = std::locale());

## Description

Remove all leading and trailing spaces from the input and compress all other spaces to a single character. The input sequence is modified in-place.

Parameters: |
`Input` | An input sequence
`Loc` | A locale used for 'space' classification
Returns: | A trimmed copy of the input